package com.ruoyi.service.constants;


public enum SignatureMethod {
    HmacSHA256("HmacSHA256", "散列消息认证码Sha256"),
    HmacSHA1("HmacSHA1", "散列消息认证码Sha1");

    private final String code;
    private final String description;

    private SignatureMethod(String code, String desc) {
        this.code = code;
        this.description = desc;
    }

    public static com.ruoyi.service.constants.SignatureMethod getByCode(String code) {
        com.ruoyi.service.constants.SignatureMethod[] var1 = values();
        int var2 = var1.length;

        for(int var3 = 0; var3 < var2; ++var3) {
            com.ruoyi.service.constants.SignatureMethod processCode = var1[var3];
            if (processCode.getCode().equals(code)) {
                return processCode;
            }
        }

        return null;
    }

    public String getCode() {
        return this.code;
    }

    public String getDescription() {
        return this.description;
    }
}

