package com.ruoyi.service.constants;

public enum SignatureVersion {
    VERSION1("1.0", "散列消息认证码Sha256"),
    VERSION2("2.0", "散列消息认证码Sha1");

    private final String code;
    private final String description;

    private SignatureVersion(String code, String desc) {
        this.code = code;
        this.description = desc;
    }

    public static com.ruoyi.service.constants.SignatureVersion getByCode(String code) {
        com.ruoyi.service.constants.SignatureVersion[] var1 = values();
        int var2 = var1.length;

        for(int var3 = 0; var3 < var2; ++var3) {
            com.ruoyi.service.constants.SignatureVersion processCode = var1[var3];
            if (processCode.getCode().equals(code)) {
                return processCode;
            }
        }

        return null;
    }

    public String getCode() {
        return this.code;
    }

    public String getDescription() {
        return this.description;
    }
}
