package com.ruoyi.service.domain;


public class ServiceRequestFieldDTO {
    private String fieldCode;
    private String fieldName;
    private String fieldType;
    private String operateName;
    private String operateCode;
    private Object fieldValue;

    public ServiceRequestFieldDTO(String fieldCode, String fieldType, String operateCode, Object fieldValue) {
        this.fieldCode = fieldCode;
        this.fieldType = fieldType;
        this.operateCode = operateCode;
        this.fieldValue = fieldValue;
    }

    public String getFieldCode() {
        return this.fieldCode;
    }

    public String getFieldName() {
        return this.fieldName;
    }

    public String getFieldType() {
        return this.fieldType;
    }

    public String getOperateName() {
        return this.operateName;
    }

    public String getOperateCode() {
        return this.operateCode;
    }

    public Object getFieldValue() {
        return this.fieldValue;
    }

    public void setFieldCode(String fieldCode) {
        this.fieldCode = fieldCode;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public void setFieldType(String fieldType) {
        this.fieldType = fieldType;
    }

    public void setOperateName(String operateName) {
        this.operateName = operateName;
    }

    public void setOperateCode(String operateCode) {
        this.operateCode = operateCode;
    }

    public void setFieldValue(Object fieldValue) {
        this.fieldValue = fieldValue;
    }

    public boolean equals(Object o) {
        if (o == this) {
            return true;
        } else if (!(o instanceof com.ruoyi.service.domain.ServiceRequestFieldDTO)) {
            return false;
        } else {
            com.ruoyi.service.domain.ServiceRequestFieldDTO other = (com.ruoyi.service.domain.ServiceRequestFieldDTO)o;
            if (!other.canEqual(this)) {
                return false;
            } else {
                Object this$fieldCode = this.getFieldCode();
                Object other$fieldCode = other.getFieldCode();
                if (this$fieldCode == null) {
                    if (other$fieldCode != null) {
                        return false;
                    }
                } else if (!this$fieldCode.equals(other$fieldCode)) {
                    return false;
                }

                Object this$fieldName = this.getFieldName();
                Object other$fieldName = other.getFieldName();
                if (this$fieldName == null) {
                    if (other$fieldName != null) {
                        return false;
                    }
                } else if (!this$fieldName.equals(other$fieldName)) {
                    return false;
                }

                Object this$fieldType = this.getFieldType();
                Object other$fieldType = other.getFieldType();
                if (this$fieldType == null) {
                    if (other$fieldType != null) {
                        return false;
                    }
                } else if (!this$fieldType.equals(other$fieldType)) {
                    return false;
                }

                label62: {
                    Object this$operateName = this.getOperateName();
                    Object other$operateName = other.getOperateName();
                    if (this$operateName == null) {
                        if (other$operateName == null) {
                            break label62;
                        }
                    } else if (this$operateName.equals(other$operateName)) {
                        break label62;
                    }

                    return false;
                }

                label55: {
                    Object this$operateCode = this.getOperateCode();
                    Object other$operateCode = other.getOperateCode();
                    if (this$operateCode == null) {
                        if (other$operateCode == null) {
                            break label55;
                        }
                    } else if (this$operateCode.equals(other$operateCode)) {
                        break label55;
                    }

                    return false;
                }

                Object this$fieldValue = this.getFieldValue();
                Object other$fieldValue = other.getFieldValue();
                if (this$fieldValue == null) {
                    if (other$fieldValue != null) {
                        return false;
                    }
                } else if (!this$fieldValue.equals(other$fieldValue)) {
                    return false;
                }

                return true;
            }
        }
    }

    protected boolean canEqual(Object other) {
        return other instanceof com.ruoyi.service.domain.ServiceRequestFieldDTO;
    }

    public int hashCode() {
        int PRIME = 1;
        int result = 1;
        Object $fieldCode = this.getFieldCode();
        result = result * 59 + ($fieldCode == null ? 43 : $fieldCode.hashCode());
        Object $fieldName = this.getFieldName();
        result = result * 59 + ($fieldName == null ? 43 : $fieldName.hashCode());
        Object $fieldType = this.getFieldType();
        result = result * 59 + ($fieldType == null ? 43 : $fieldType.hashCode());
        Object $operateName = this.getOperateName();
        result = result * 59 + ($operateName == null ? 43 : $operateName.hashCode());
        Object $operateCode = this.getOperateCode();
        result = result * 59 + ($operateCode == null ? 43 : $operateCode.hashCode());
        Object $fieldValue = this.getFieldValue();
        result = result * 59 + ($fieldValue == null ? 43 : $fieldValue.hashCode());
        return result;
    }

    public String toString() {
        return "ServiceRequestFieldDTO(fieldCode=" + this.getFieldCode() + ", fieldName=" + this.getFieldName() + ", fieldType=" + this.getFieldType() + ", operateName=" + this.getOperateName() + ", operateCode=" + this.getOperateCode() + ", fieldValue=" + this.getFieldValue() + ")";
    }

    public ServiceRequestFieldDTO() {
    }
}

